%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name openstack.nose_plugin
%global pkg_name openstack-nose-plugin

Name:           python-%{pkg_name}
Version:        0.11
Release:        12%{?dist}
Summary:        openstack run_tests.py style output for nosetests

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

%package -n python2-%{pkg_name}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python-nose
Requires:       python2-colorama
Requires:       python2-termcolor

%{?python_provide:%python_provide python2-%{pkg_name}}

%description -n python2-%{pkg_name}
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.
This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}

%package -n python3-%{pkg_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-nose
Requires:       python3-colorama
Requires:       python3-termcolor

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.
This package provides Python 3 build of %{pypi_name}.

%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{pkg_name}
%doc README.rst
%{python2_sitelib}/openstack
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pkg_name}
%doc README.rst
%{python3_sitelib}/openstack
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.11-10
- Rebuild for Python 3.6

* Mon Nov 14 2016 Matthias Runge <mrunge@redhat.com> - 0.11-9
- fix python3 requirements

* Fri Nov 11 2016 Jan Beran <jberan@redhat.com> - 0.11-8
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 0.11-1
- Initial package.


